{% extends "./index.html" %}
{% load static %}
{% block contenido %}
    <div class="container">
        <h1 class="text-center blanco-text">Nuevos Platillos</h1>
        <div class="row justify-content-center">
            <div class="col-md-6">
                <form class="mb-4" action="/guardarPlatillo/" method="post" enctype="multipart/form-data" id="frm_nuevo_platillo">
                    {% csrf_token %}
                    <div class="mb-3">
                        <label for="id_tip" class="form-label blanco-text">Tipo de Platillo:</label>
                        <select class="form-control" name="id_tip" id="id_tip" required>
                            <option value="" disabled selected>--Seleccione el Tipo de Platillo--</option>
                            {% for tipo in tipos %}
                                <option value="{{tipo.id_bf}}">{{tipo.nombre_bf}}</option>
                            {% endfor %}
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="nombre_bf" class="form-label blanco-text">Nombre del Platillo:</label>
                        <input type="text" name="nombre_bf" id="nombre_bf" value="" class="form-control" placeholder="Ingrese el Nombre del Platillo" required>
                    </div>
                    <div class="mb-3">
                        <label for="descripcion_bf" class="form-label blanco-text">Descripción:</label>
                        <textarea name="descripcion_bf" id="descripcion_bf" cols="3" class="form-control" placeholder="Ingrese la Descripción"></textarea>
                    </div>
                    <div class="mb-3">
                        <label for="preparacion_bf" class="form-label blanco-text">Preparación:</label>
                        <textarea name="preparacion_bf" id="preparacion_bf" cols="3" class="form-control" placeholder="Ingrese la Preparación"></textarea>
                    </div>
                    <div class="mb-3">
                        <label for="precio_bf" class="form-label blanco-text">Precio:</label>
                        <input type="number" name="precio_bf" id="precio_bf" value="" class="form-control" placeholder="Ingrese el Precio del Platillo" required>
                    </div>
                    <div class="text-center">
                        <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                        <button type="reset" name="button" class="btn btn-danger">Cancelar</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <h1 class="text-center blanco-text">LISTADO DE LOS PLATILLOS</h1>
                <table class="table" id="tbl_platillo">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>NOMBRE</th>
                            <th>DESCRIPCION</th>
                            <th>PREPARACION</th>
                            <th>PRECIO</th>
                            <th>TIPO</th>
                            <th>ACCIONES</th>
                        </tr>
                    </thead>
                    <TBody>
                        {% for platillo in platillos %}
                            <tr>
                                <td>{{platillo.id_bf}}</td>
                                <td>{{platillo.nombre_bf}}</td>
                                <td>{{platillo.descripcion_bf}}</td>
                                <td>{{platillo.preparacion_bf}}</td>
                                <td>{{platillo.precio_bf}}</td>
                                <td>{{platillo.tipo.nombre_bf}}</td>
                                <td>
                                    <a href="/editarPlatillo/{{platillo.id_bf}}" class="btn btn-warning">Editar</a>
                                    <a href="javascript:void(0)" class="btn btn-danger" onclick="eliminarPlatillo('/eliminarPlatillo/{{platillo.id_bf}}');">Borrar</a>
                                </td>
                            </tr>
                        {% endfor %}
                    </TBody>
                </table>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        $(document).ready(function() {
            $('#tbl_platillo').DataTable({
                dom: 'Bfrtip',
                language: {
                    url: '//cdn.datatables.net/plug-ins/1.13.7/i18n/es-ES.json',
                },
                buttons: [
                    {
                        extend: 'pdfHtml5',
                        text: '<i class="fa fa-file-pdf-o"></i> PDF',
                        titleAttr: 'Exportar a PDF',
                        className: 'btn btn-danger', // Clase de estilo para el botón
                        title: 'LISTADO PLATILLOS'
                    },
                    {
                        extend: 'print',
                        text: '<i class="fa fa-print"></i> Imprimir',
                        titleAttr: 'Imprimir',
                        className: 'btn btn-primary' // Clase de estilo para el botón
                    },
                    {
                        extend: 'csv',
                        text: '<i class="fa fa-file-text-o"></i> CSV',
                        titleAttr: 'Exportar a CSV',
                        className: 'btn btn-success' // Clase de estilo para el botón
                    }
                ]
            });

            // Eventos de clic para los botones personalizados
            $('#export-pdf').on('click', function() {
                $('#tbl_platillo').DataTable().button('.buttons-pdf').trigger();
            });

            $('#print-table').on('click', function() {
                $('#tbl_platillo').DataTable().button('.buttons-print').trigger();
            });

            $('#export-csv').on('click', function() {
                $('#tbl_platillo').DataTable().button('.buttons-csv').trigger();
            });
        });
    </script>


{% endblock %}
